
from odoo.upgrade import util

def migrate(cr, version):
    util.remove_view(cr, "openerp_enterprise.portal_timesheet_table")

    # Lang switcher translated (standard since saas~17.2)
    util.remove_view(cr, view_id=19141)

    # adapt view after removal of taxcloud
    with util.skippable_cm(), util.edit_view(cr, view_id=17655) as arch:
        for n in arch.xpath("//field[@name='tax_id' and @column_invisible]"):
            n.set('column_invisible', '(parent.is_avatax == True)')

    # adapt view after chatter refactoring
    with util.skippable_cm(), util.edit_view(cr, view_id=18047) as arch:
        for n in arch.xpath("//div[hasclass('oe_chatter')]"):
            n.tag = 'chatter'
            n.attrib.pop('class')

    # adpat view, kanban_state has already been removed in odoo/odoo@62f2cd008700
    with util.skippable_cm(), util.edit_view(cr, view_id=10836) as arch:
        for n in arch.xpath("//field[@name='kanban_state']"):
            n.getparent().remove(n)

    util.remove_field(cr, 'calendar.event', 'x_ps_categ_id')

    # task-3247193 - remove share studio feature
    util.remove_field(cr, "openerp.enterprise.database", "studio_share_token")

    # commit 62a72c7e6
    util.remove_field(cr, "account.invoice.report", "commission_plan_id")
